dvb_desc_event_short Struct Reference
Parsers for several MPEG-TS descriptors

Structure containing the short event descriptor. More...

`#include <desc_event_short.h>`

## Data Fields

uint8_t | type
uint8_t | length
struct dvb_desc * | next
unsigned char | language [4]
char * | name
char * | name_emph
char * | text
char * | text_emph

## Detailed Description

Structure containing the short event descriptor.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  language | ISO 639 language code
  name | event name string
  name_emph | event name emphasis string
  text | event text string
  text_emph | event text emphasis string

The emphasis text is the one that uses asterisks. For example, in the text: "the quick *fox* jumps over the lazy table" the emphasis would be "fox".

Definition at line 60 of file desc_event_short.h.

## Field Documentation

## language

unsigned char dvb_desc_event_short::language[4]

Definition at line 65 of file desc_event_short.h.

## length

uint8_t dvb_desc_event_short::length

Definition at line 62 of file desc_event_short.h.

## name

char* dvb_desc_event_short::name

Definition at line 66 of file desc_event_short.h.

## name_emph

char* dvb_desc_event_short::name_emph

Definition at line 67 of file desc_event_short.h.

## next

struct dvb_desc* dvb_desc_event_short::next

Definition at line 63 of file desc_event_short.h.

## text

char* dvb_desc_event_short::text

Definition at line 68 of file desc_event_short.h.

## text_emph

char* dvb_desc_event_short::text_emph

Definition at line 69 of file desc_event_short.h.

## type

uint8_t dvb_desc_event_short::type

Definition at line 61 of file desc_event_short.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_event_short.h